CreateVmUserDefinedXmlHookScript
CreateVmUserDefinedXmlHookScript
POST
/zstack/v1/vm-instances/xml-hook-scriptOperation ID
CreateVmUserDefinedXmlHookScriptSince
5.2.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
nameStringRequiredThe XML Hook name.
descriptionStringOptional. The detailed information of the XML Hook.
hookScriptStringRequiredThe XML Hook content.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
